//
//  TestCurveView.h
//  GHMMGuiTest
//
//  Created by Marcelo Cicconet on 10/11/11.
//  Copyright 2011 Georgia Tech. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TestCurveView : NSView
{
    int nPoints;
    double * points;
    int * maxStates1;
    int * maxStates2;
}

- (NSRect)rectFromPoint:(NSPoint)point viewWidth:(CGFloat)viewWidth viewHeight:(CGFloat)viewHeight;
- (void)setPoints:(double *)thePoints nPoints:(int)theNPoints;
- (void)setMaxStates1:(int *)theMaxStates;
- (void)setMaxStates2:(int *)theMaxStates;

@end